package com.twentyfouri.tvlauncher.utils

import android.widget.ImageView
import com.twentyfouri.androidcore.utils.EmptyImageSpecification
import com.twentyfouri.androidcore.utils.ImageSpecification
import com.twentyfouri.androidcore.utils.ResourceImageSpecification
import com.twentyfouri.smartexoplayer.ui.PlayButtonHelper
import com.twentyfouri.smartexoplayer.utils.SeekControlsHelper
import com.twentyfouri.tvlauncher.R

class LauncherPlayButtonHelper( seekControlsHelper: SeekControlsHelper, view: ImageView) :
    PlayButtonHelper(seekControlsHelper, view) {

    override fun getImageSpecification(mode: Mode): ImageSpecification =
        when (mode) {
//            Mode.RESTART -> restartImage
            Mode.PAUSE -> ResourceImageSpecification(R.drawable.player_controls_play)
            Mode.PLAY -> ResourceImageSpecification(R.drawable.player_controls_pause)
            else -> EmptyImageSpecification()
    }
}